package com.engine.organization.transmethod;

import com.engine.organization.entity.DeleteParam;
import com.engine.organization.mapper.staff.StaffPlanMapper;
import com.engine.organization.util.db.MapperProxyFactory;
import org.apache.commons.lang3.StringUtils;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/25
 * @version: 1.0
 */
public class StaffPlanTransMethod {

    public static String getSpanById(String planId) {
        StaffPlanMapper planMapper = MapperProxyFactory.getProxy(StaffPlanMapper.class);
        List<Map<String, Object>> maps = planMapper.listPlansByIds(DeleteParam.builder().ids(planId).build().getIds());
        String names = maps.stream().map(item -> (String) item.get("name")).collect(Collectors.joining(","));
        return names;
    }

    public static String getFormatDateString(String dateStr) {
        if (StringUtils.isNotBlank(dateStr)) {
            return dateStr.substring(0, 10);
        }
        return "";
    }
}
